# VariantRegistry
`toloka.client.primitives.base.VariantRegistry` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/primitives/base.py#L26)

```python
VariantRegistry(
    self,
    field: str,
    enum: Type[TypeVar('E', bound=Enum)]
)
```

## Methods Summary

| Method | Description |
| :------| :-----------|
[register](toloka.client.primitives.base.VariantRegistry.register.md)| None
